skb_morph
Prev | Socket Buffer Functions | Next

## Name

skb_morph — morph one skb into another

## Synopsis

`struct sk_buff * skb_morph (` | struct sk_buff * | dst,
| struct sk_buff * | src`)`;

## Arguments

`dst`

  the skb to receive the contents

`src`

  the skb to supply the contents

## Description

This is identical to skb_clone except that the target skb is supplied by the user.

The target skb is returned upon exit.

Prev | Up | Next
kfree_skb | Home | skb_clone